Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
post-call-questions
/
{question_id}
Get post-call question
curl --request GET \
  --url https://api.callrounded.com/v1/agents/{agent_id}/post-call-questions/{question_id} \
  --header 'X-Api-Key: <api-key>'
{
  "message": "<string>",
  "data": {
    "name": "<string>",
    "description": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "is_active": true,
    "question_origin": "system",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "optional": false,
    "model": "gpt-3.5-turbo",
    "options": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "examples": [
      "<string>"
    ]
  },
  "error": {
    "details": [
      {
        "field": "email",
        "message": "Invalid email format"
      }
    ],
    "message": "An error occurred while processing your request",
    "status": 400,
    "type": "generic_error"
  },
  "status": 200
}

Authorizations

X-Api-Key
string
header
required

The API Key created in Rounded Studio.

Path Parameters

agent_id
string<uuid>
required

Agent ID

question_id
string<uuid>
required

Question ID

Response

Successfully retrieved post-call question

Single post-call question API response.

message
string
required
data
PostCallQuestionResponse · object
required

Response schema for post-call questions.

error
ApiResponseError · object
Example:
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}
status
integer
default:200

HTTP status code of the response.